/Users/bernard/b20/bsoft/include/model_plane.h(3)

NAME
/Users/bernard/b20/bsoft/include/model_plane.h - Library routines used for plane models.

SYNOPSIS

#include 'rwmodel.h'

  Functions
Vector3< double > model_fit_plane (Bmodel *model)
Fits a plane through a model.
Bmodel * model_generate_from_plane_guide (Bmodel *guide, double separation, double sigma)
Generates a plane model and fits a plane through it.

Detailed Description

Library routines used for plane models.

Author:
    Bernard Heymann

Date:
    Created: 20140925

    Modified: 20141008

Definition in file model_plane.h.

Function Documentation

  Vector3<double> model_fit_plane (Bmodel * model)

Fits a plane through a model.

A plane is fit through the components and the normal calculated from:
    n•p = d
where n is the normal vector, p is a point in the plane, and d is the offset.
Only the first model is fit.

Parameters:
    *model model structure.

Returns:
    Vector3<double> plane normal.

Definition at line 30 of file model_plane.cpp.

  Bmodel* model_generate_from_plane_guide (Bmodel * guide, double separation, double sigma)

Generates a plane model and fits a plane through it.

Parameters:
    *guide model structure.
    separation separation between components for new model.
    sigma smoothness of model.

Returns:
    Bmodel* new model based on input model.

    The principal axes of a planar model are calculated and a new plane model
    generated with the given separation between components.
    The components of the new model are then adjusted to fit the guide model.

Definition at line 186 of file model_plane.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.